package cn.com.poc.writing.dto;

import java.io.Serializable;

public class AiWritingDialoguesContextDto implements Serializable {


    /**
     * role
     * 角色 user-用户  assistant-助手
     */
    private String role;

    public String getRole() {
        return this.role;
    }

    public void setRole(String role) {
        this.role = role;
    }

    /**
     * agent_id
     * agent应用ID
     */
    private String agentId;

    public String getAgentId() {
        return this.agentId;
    }

    public void setAgentId(String agentId) {
        this.agentId = agentId;
    }

    /**
     * 文档标题
     */
    private String documentTitle;

    public String getDocumentTitle() {
        return documentTitle;
    }

    public void setDocumentTitle(String documentTitle) {
        this.documentTitle = documentTitle;
    }

    /**
     * content
     * 内容
     */
    private String content;

    public String getContent() {
        return this.content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    /**
     * 推理内容
     */
    private String reasoningContent;

    public String getReasoningContent() {
        return reasoningContent;
    }

    public void setReasoningContent(String reasoningContent) {
        this.reasoningContent = reasoningContent;
    }

    /**
     * timestamp
     * 时间戳
     */
    private Long timestamp;

    public Long getTimestamp() {
        return this.timestamp;
    }

    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }

    /**
     * 应用名
     */
    private String agentTitle;

    public String getAgentTitle() {
        return agentTitle;
    }

    public void setAgentTitle(String agentTitle) {
        this.agentTitle = agentTitle;
    }

    /**
     * 应用头像
     */
    private String agentAvatar;

    public String getAgentAvatar() {
        return agentAvatar;
    }

    public void setAgentAvatar(String agentAvatar) {
        this.agentAvatar = agentAvatar;
    }

}
